package com.muyu.etl.common.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * 数据来源表;
 * @author : http://www.chiner.pro
 * @date : 2024-8-21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@EqualsAndHashCode(callSuper = true)
@TableName(value="data_sources")
public class DataSources extends BaseEntity {
    /** id */
    @TableId
    private Long id ;

    /** 数据来源类型 */
    private Long dataTypeId ;

    /** 数据来源名称 */
    private String name ;

    /** 数据来源地址 */
    private String url ;

    /** 来源地址端口号 */
    private String port ;

    /** 存放数据库名称 */
    private String databaseName ;

    /** 数据库登录名 */
    private String userName ;

    /** 数据库登录密码 */
    private String userPwd ;

    /** 参数 */
    private String param ;

    /** 状态 1启用 2禁用 */
    private String status ;





}
