package com.muyu.etl.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.IPage;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.etl.common.domain.DataSources;
import com.muyu.etl.common.domain.req.DataSourcesReq;
import com.muyu.etl.common.domain.resp.DataSourcesRes;
import com.muyu.etl.server.mapper.DataSourcesMapper;
import com.muyu.etl.server.service.DataSourcesService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：zhangzhihao
 * @name：DataSourcesServiceImpl
 * @Date：2024/8/21 14:35
 * 不准抄代码，添加注释，清楚每一行代码意思
 */
@Log4j2
@Service
public class DataSourcesServiceImpl extends ServiceImpl<DataSourcesMapper, DataSources> implements DataSourcesService {


    @Autowired
    private DataSourcesMapper dataSourcesMapper;

    /**
     * 添加数据来源
     * @param dataSources
     * @return
     */
    @Override
    public boolean save(DataSources dataSources) {
        return super.save(dataSources);
    }
    @Override
    public boolean update(DataSources dataSources) {
        LambdaUpdateWrapper<DataSources> updateWrapper = new LambdaUpdateWrapper<>();

        return this.update(updateWrapper);
    }

    @Override
    public Page<DataSources> selectList(DataSourcesReq req) {

        LambdaQueryWrapper<DataSources> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.like(StringUtils.isNotEmpty(req.getName()), DataSources::getName,req.getName());
        queryWrapper.like(StringUtils.isNotEmpty(req.getDatabaseName()), DataSources::getDatabaseName,req.getDatabaseName());

        Page<DataSources> page = new Page<>(req.getPageNum(), req.getPageSize());


        Page<DataSources> pageList = dataSourcesMapper.selectPage(page, queryWrapper);


        return pageList;
    }

}
